'listview text
'   设置列表项的文本。
'   hWndControl:  控件的句柄 (例如  HWND_FORM1_LISTVIEW1)   
'   iRow:         要设置的从零开始的行。
'   iColumn:      要设置从零开始的列。           
'   TheText:      要使用的新文本。
'   Returns:      如果成功返回 %TRUE 否则为 %FALSE 
Function FF_ListView_SetItemText(ByVal hWndControl as HWnd, ByVal iRow as Long, ByVal iColumn as Long, ByRef TheText as CWSTR ) as Long
   
   Dim tlv_item as LV_ITEMW
   
   '检查窗口句柄是否有效
   If IsWindow(hWndControl) Then
      tlv_item.mask = LVIF_TEXT
      tlv_item.iItem = iRow
      tlv_item.iSubItem = iColumn
      tlv_item.pszText = Cast(LPWSTR,TheText.vptr)
      tlv_item.cchTextMax = Len(TheText)
      
      Function = SendMessageW(hWndControl, LVM_SETITEMW, 0, Cast(LPARAM, VarPtr(tlv_item)))
      
   End If
   
End Function

